<?php
// $Id: langcheck.form.settings.inc,v 1.1.2.1 2010/02/07 18:29:05 sweetchack Exp $

/**
 * @file
 * General settings form
 */

/**
 * FAPI definition for the settings form.
 * @ingroup forms
 */
function langcheck_settings_form($form_state) {
  module_load_include('inc', 'langcheck');
  $settings = variable_get('langcheck_settings', _langcheck_default_values('langcheck_settings'));

  $form = array();

  $form['langcheck_settings'] = array(
    '#tree' => TRUE,
  );

  $form['langcheck_settings']['check_batch'] = array(
    '#tree'        => TRUE,
    '#type'        => 'fieldset',
    '#title'       => t('Language check batch process settings'),
    '#collapsible' => TRUE,
    '#collapsed'   => FALSE,
  );

  // A batch process folyamán egy kör alatt mennyi fájl legyen vizsgálva
  $form['langcheck_settings']['check_batch']['num_of_files'] = array(
    '#title'         => t('Number of files'),
    '#type'          => 'select',
    '#options'       => drupal_map_assoc(range(1, 25)),
    '#description'   => t('Number of files to investigate during one page request of the batch process'),
    '#default_value' => $settings['check_batch']['num_of_files'],
  );

  // A batch process folyamán egy kör alatt mennyi nyelven legyenek vizsgálva a fájlok
  $form['langcheck_settings']['check_batch']['num_of_langs'] = array(
    '#title'         => t('Number of languages'),
    '#type'          => 'select',
    '#options'       => drupal_map_assoc(range(1, 15)),
    '#description'   => t('Number of languages to investigate during one page request of the batch process'),
    '#default_value' => $settings['check_batch']['num_of_langs'],
  );


  // Könyvtár nevek melyek ki lesznek hagyva a forrás fájlok keresésekor.
  // Relatív útvonal az index.php-hoz képest. Mindegyiket külön új sorba
  // Az alábbi könyvtárakat nem kell megadni mert ezek automatikusan figyelmen
  // kívül lesznek hagyva
  $form['langcheck_settings']['check_batch']['exclusions'] = array(
    '#title'         => t('Exclusions'),
    '#type'          => 'textarea',
    '#default_value' => implode("\n", $settings['check_batch']['exclusions']),
    '#description'   => t('Some module may contain non Drupal files. Please list those directories, use relative paths to the index.php, and separate the paths with new line.'),
  );

  $form['langcheck_settings']['check_batch']['exclusions']['#description'] .= ' '.
    t(
      'The fallowing directories will be ignored by defult:!exclusions',
      array('!exclusions' => theme('item_list', langcheck_default_exclusions()))
    )
  ;

  // A saját submit függvénynek elöbb kell lefutnia.
  $form['#submit'] = array('langcheck_settings_form_submit');
  return system_settings_form($form);
}

/**
 * A textarea sorok tömb elemekké alakítása
 */
function langcheck_settings_form_submit($form, &$form_state) {
  //remélhetőleg senki nem csinál szóközzel kezdődő vagy végződő könyvtár nevet.
  $form_state['values']['langcheck_settings']['check_batch']['exclusions'] = preg_split(
    '/\s*\n+\s*/',
    trim($form_state['values']['langcheck_settings']['check_batch']['exclusions'])
  );
}

// vim: set ft=php syntax=php expandtab ts=2 sw=2 autoindent smartindent:
