<?php
// $Id: langcheck.theme.inc,v 1.1.2.1 2010/02/07 18:31:29 sweetchack Exp $

/**
 * @file
 * Theme functions
 */

/**
 * @ingroup themeable
 */
function theme_langcheck_check_batch_result($results) {
  drupal_add_css(drupal_get_path('module', 'langcheck') .'/langcheck.css');
  
  $output = '';

  $header = array(
    t('Module'),
  );
  foreach ($results['language_names'] as $langcode => $langname) {
    $header[] = $langname;
  }

  $header[] = t('Module state');

  $rows = array();
  foreach ($results['data_module'] as $module => $langs) {
    $excluded_module = in_array($module, $results['excluded_modules']);
    $detail = $results['sum_language'][$module];
    $row = array();
    $row[] = array(
      'data'   => $module,
      'header' => TRUE,
      'class'  => ($excluded_module) ? 'excluded' : 'langcheck-state-'. floor($detail['state'] / 0.1),
      'title'  => t('Total: @total, untranslated: @untranslated', array('@total' => $detail['total'], '@untranslated' => $detail['untranslated'])),
    );

    foreach ($langs as $langcode => $detail) {
      if ($excluded_module) {
        $row[] = '---.--%';
      }
      else {
        $row[] = array(
          'data' => sprintf('%0.2f%%', $detail['state'] * 100),
          'class' => 'langcheck-state-'. floor($detail['state'] / 0.1),
          'title' => t('Total: @total, untranslated: @untranslated', array('@total' => $detail['total'], '@untranslated' => $detail['untranslated'])),
        );
      }
    }

    if ($excluded_module) {
      $row[] = '---.--%';
    }
    else {
      $detail  = $results['sum_language'][$module];
      $row[] = array(
        'data' => sprintf('%0.2f%%',  $detail['state'] * 100),
        'class' => 'langcheck-state-'. floor($detail['state'] / 0.1),
        'title' => t('Total: @total, untranslated: @untranslated', array('@total' => $detail['total'], '@untranslated' => $detail['untranslated'])),
      );
    }

    $rows[] = ($excluded_module) ?
      array('title' => t('Excluded'), 'class' => 'excluded', 'data' => $row)
      :
      $row
    ;
  }
  $overall = 0;
  $row = array();
  $row[] = array('header' => TRUE, 'data' => t('Language state'));
  foreach ($results['sum_module'] as $langcode => $detail) {
    $overall += $detail['state'];
    $row[] = array(
      'data' => sprintf('%0.2f%%',  $detail['state'] * 100),
      'class' => 'langcheck-state-'. floor($detail['state'] / 0.1),
      'title' => t('Total: @total, untranslated: @untranslated', array('@total' => $detail['total'], '@untranslated' => $detail['untranslated'])),
    );
  }
  $state = $overall / $results['count_languages'];
  $row[] = array(
    'data' => sprintf('%0.2f%%',  $state * 100),
    'class' => 'langcheck-state-'. floor($state / 0.1),
  );
  $rows[] = $row;

  $attributes = array(
    'class' => 'langcheck-result-table',
  );

  // A wrapper azért kell mert ha sok nyelv van a redszerben akkor túl széles a táblázat.
  // Így belekerül egy scrollozható div-be.
  return '<div id="langcheck-result-table-wrapper">'. theme('table', $header, $rows, array('id' => 'langcheck-result-table')) . '</div>';
}

// vim: set ft=php syntax=php expandtab ts=2 sw=2 autoindent smartindent:
